petsc-3.12.1 2019-10-22
Report Typos and Errors

# TSAdjointReset

Resets a TSAdjoint context and removes any allocated Vecs and Mats.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSAdjointReset(TS ts)

Collective on TS

### Input Parameter

ts -the TS context obtained from TSCreate()

### See Also

TSCreate(), TSAdjointSetUp(), TSADestroy()

### Level

beginner

### Location

src/ts/interface/sensitivity/tssen.c

### Examples

src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html

### Implementations

TSAdjointReset_RK in src/ts/impls/explicit/rk/rk.c
TSAdjointReset_Theta in src/ts/impls/implicit/theta/theta.c
Index of all Sensitivity routines
Table of Contents for all manual pages
Index of all manual pages